#
# spec file for package Crystalcursors
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           Crystalcursors
BuildRequires:  libpng
BuildRequires:  xcursorgen
Url:            http://digilander.iol.it/m4rt/crystalcursors.html
Summary:        Mouse Cursors in Crystal Icon Style
License:        LGPL-2.1+
Group:          System/X11/Icons
Version:        0.5
Release:        257.2
Source:         6240-%{name}.tar.bz2
Patch:          root-installation.diff
Patch1:         Crystalcursors.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Four different mouse cursor icon sets in the KDE CrystalSVG style. In
white, gray, blue, and green versions. They can be selected from KDE
Control Center, in the mouse configuration.

%prep
%setup -q -n %name
%patch1
%patch

%build
# the crowd complained about the speed ..
for i in */watch/*conf; do
 awk '{ print $1" "$2" "$3" "$4" 240" }' $i > ${i}.new
 mv ${i}.new ${i}
done
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-, root, root)
%doc CHANGELOG CREDITS LICENSE README
/usr/share/icons/*

%changelog
* Fri Jun 29 2012 coolo@suse.com
- replace buildrequire xorg-x11 with the real require
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Aug  7 2006 seife@suse.de
- fix for Xorg 7.1 (move to /usr/share/icons)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Apr 24 2004 sndirsch@suse.de
- XFree86 --> xorg-x11 in neededforbuild
* Sat Apr  3 2004 adrian@suse.de
- the world does not understand fast times
  (1/4 speed of the wait cursor clock)
* Tue Mar 23 2004 adrian@suse.de
- update to version 0.5
  * improves contrast of the white mouse cursor theme (#35605)
* Mon Mar  8 2004 adrian@suse.de
- create non-animated versions of cursors (based on patch by Lubos)
- additional cursor symlinks (found by Lubos)
* Sun Mar  7 2004 adrian@suse.de
- initial package of version 0.4
